## Get IntegrationRun Log

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/integrationruns/logs/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationruns/logs/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationruns/logs/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Status Codes

- 200
- 4XX
- 5XX

### Example Response

```json
{
  "Payload": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations

- **Authorization**
  - Type: string
  - In: header
  - Required: Yes
  - m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow, and the `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId**: string, required  
  The unique identifier (UUID) of your Organization, representing your company as a direct customer of our service.

- **id**: string, required  
  The UUID associated with the integration run. This ID helps in pinpointing the exact integration run logs you are looking to retrieve.

### Response

- **200**: application/json  
  Returns the IntegrationRun  
  Response containing the log for an IntegrationRun entity

- **Payload**: string  
  Base64 encoded log.
